import type { _CMLogItem } from "./CMLogItem.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { CMHighFrequencyHeartRateDataConfidence } from "./CMHighFrequencyHeartRateDataConfidence.js";
export declare class _CMHighFrequencyHeartRateData extends _CMLogItem {
    static alloc(): _CMHighFrequencyHeartRateData;
    static new(): _CMHighFrequencyHeartRateData;
    init(): _CMHighFrequencyHeartRateData;
    /** heartRate The heart rate value in units of beats per minute (BPM) */
    heartRate(): number;
    /** confidence Indicates the confidence level of the heart rate value */
    confidence(): CMHighFrequencyHeartRateDataConfidence;
    /** date Corresponding date for the heart rate value */
    date(): _NSDate | null;
}
